Package de.willuhn.jameica.hbci.gui.controller

# Class UmsatzTypControl.UmsatzTypObject

java.lang.Object
de.willuhn.jameica.hbci.gui.controller.UmsatzTypControl.UmsatzTypObject

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `Remote`

Enclosing class:
  `UmsatzTypControl`

public static class UmsatzTypControl.UmsatzTypObject extends Object implements de.willuhn.datasource.GenericObject
Hilfsklasse fuer die Art der Kategorie.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(de.willuhn.datasource.GenericObject other)`
`Object`
`getAttribute(String arg0)`
`String[]`
`getAttributeNames()`
`String`
`getID()`
`String`
`getPrimaryAttribute()`
`int`
`getTyp()`
Liefert den Typ.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTyp

public int getTyp()
Liefert den Typ.

Returns:
  der Typ.

### equals

public boolean equals(de.willuhn.datasource.GenericObject other) throws RemoteException

Specified by:
  `equals` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.equals(de.willuhn.datasource.GenericObject)`

### getAttribute

public Object getAttribute(String arg0) throws RemoteException

Specified by:
  `getAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttribute(java.lang.String)`

### getAttributeNames

public String[] getAttributeNames() throws RemoteException

Specified by:
  `getAttributeNames` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getAttributeNames()`

### getID

public String getID() throws RemoteException

Specified by:
  `getID` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getID()`

### getPrimaryAttribute

public String getPrimaryAttribute() throws RemoteException

Specified by:
  `getPrimaryAttribute` in interface `de.willuhn.datasource.GenericObject`
Throws:
  `RemoteException`
See Also:
  - `GenericObject.getPrimaryAttribute()`